﻿@{
    ViewBag.Title = "Staff";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Staff Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    <div class="form-group">
                        <label for="InputDocID" class="col-sm-2 control-label">Select Doctor No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputDocID">
                               
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputNurseID" class="col-sm-2 control-label">Select Nurse ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputNurseID">
                               

                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddStaffData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddStaffData() {
        debugger;
        var DocID = $('#InputDocID :selected').attr('id');
        var NurseID = $('#InputNurseID :selected').attr('id');

        $.ajax({
            url: '@Url.Action("AddStaff", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ DocID: DocID, NurseID: NurseID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDropDownsPNRM", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var Nurse = data.Nurse;

                    for (i = 0; i < Nurse.length; i++) {
                        $('#InputNurseID').append('<option id=' + Nurse[i].nurseid + ' value=' + Nurse[i].name + ' >' + Nurse[i].name + '  </option>');

                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDoctorsData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list  = data.message;

                    for (i = 0; i < list.length; i++) {
                        $('#InputDocID').append('<option id=' + list[i].docno + ' value=' + list[i].docname + ' >' + list[i].docname + '  </option>');
                    }


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
